For AI agents: a documentation index is available at the root level at /llms.txt and /llms-full.txt. Append /llms.txt to any URL for a page-level index, or .md for the markdown version of any page.
SupportDeveloper ForumLogin
  • Overview
    • Introduction
    • Getting Started
    • Integration Example (PSA)
    • Authentication
    • Error Handling
    • Pagination
    • Filtering
    • Ordering
    • Rate Limits
    • Permissions
    • Webhooks
    • MCP Server
    • Versioning
    • Changelog
    • Support
  • API v1 Reference
    • Projects Overview
      • GETRetrieves all project milestones.
      • POSTCreates a new project milestone.
      • GETReturns the specified project milestone.
      • PUTUpdates an existing project milestone.
      • DELDeletes a project milestone.
      • GETReturns all project milestones of the specified project.
    • Tasks Overview
    • Time Tracking Overview
    • Documents Overview
    • Search Overview
    • Companies Overview
    • Users Overview
    • Files & Images Overview
    • Custom Fields Overview
    • Workload & Planning Overview
    • Project Templates Overview
    • Workflows Overview
    • Login & Access Overview
    • API Management Overview
LogoLogo
SupportDeveloper ForumLogin
API v1 ReferenceProject Milestones

Updates an existing project milestone.

PUT
https://api.awork.com/api/v1/projectmilestones/:projectMilestoneId
PUT
/api/v1/projectmilestones/:projectMilestoneId
$curl -X PUT https://api.awork.com/api/v1/projectmilestones/projectMilestoneId \
> -H "Authorization: Bearer <token>" \
> -H "Content-Type: application/json" \
> -d '{
> "name": "Internal Review",
> "color": "green"
>}'
1{
2 "name": "Internal Review",
3 "color": "green",
4 "projectId": "123e4567-e89b-12d3-a456-426614174000",
5 "dueDate": "2022-03-01T15:00:00Z",
6 "id": "123e4567-e89b-12d3-a456-426614174000",
7 "project": {
8 "name": "Website Design",
9 "isPrivate": false,
10 "description": "Sitemap, design, assets and implementation of the new online presence.",
11 "startDate": "2022-03-01T00:00:00Z",
12 "dueDate": "2022-05-01T00:00:00Z",
13 "companyId": "123e4567-e89b-12d3-a456-426614174000",
14 "timeBudget": 576000,
15 "isBillableByDefault": true,
16 "projectTypeId": "123e4567-e89b-12d3-a456-426614174000",
17 "color": "purple",
18 "deductNonBillableHours": true,
19 "isProjectKeyVisible": true,
20 "projectStatusId": "123e4567-e89b-12d3-a456-426614174000",
21 "projectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
22 "publicProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
23 "workflowId": "123e4567-e89b-12d3-a456-426614174000",
24 "id": "123e4567-e89b-12d3-a456-426614174000",
25 "projectKey": "string",
26 "hasImage": true,
27 "createdOn": "2024-01-15T09:30:00Z",
28 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
29 "updatedOn": "2024-01-15T09:30:00Z",
30 "updatedBy": "123e4567-e89b-12d3-a456-426614174000",
31 "closedOn": null,
32 "closedBy": "123e4567-e89b-12d3-a456-426614174000",
33 "createdByProjectTemplateId": "123e4567-e89b-12d3-a456-426614174000",
34 "projectType": {
35 "id": "123e4567-e89b-12d3-a456-426614174000",
36 "name": "Design",
37 "icon": "thumb_up",
38 "isArchived": false
39 },
40 "projectStatus": {
41 "id": "123e4567-e89b-12d3-a456-426614174000",
42 "name": "Design",
43 "description": "Work in progress",
44 "type": "todo",
45 "isArchived": false,
46 "typeOrder": 1,
47 "isExternal": true
48 },
49 "company": {
50 "id": "123e4567-e89b-12d3-a456-426614174000",
51 "name": "Design",
52 "hasImage": true,
53 "description": "A brand strategy and design agency",
54 "tags": [
55 {
56 "id": "123e4567-e89b-12d3-a456-426614174000",
57 "name": "Design",
58 "color": "purple",
59 "entityId": "123e4567-e89b-12d3-a456-426614174000"
60 }
61 ]
62 },
63 "tags": [
64 {
65 "id": "123e4567-e89b-12d3-a456-426614174000",
66 "name": "Design",
67 "color": "purple"
68 }
69 ],
70 "totalPlannedDurationWithHierarchy": 432000,
71 "tasksCount": 12,
72 "tasksDoneCount": 3,
73 "members": [
74 {
75 "id": "123e4567-e89b-12d3-a456-426614174000",
76 "userId": "123e4567-e89b-12d3-a456-426614174000",
77 "firstName": "Lisa",
78 "lastName": "Smith",
79 "hasImage": true,
80 "projectRoleId": "123e4567-e89b-12d3-a456-426614174000",
81 "projectRoleName": "Project Manager",
82 "isResponsible": true,
83 "isDeactivated": false,
84 "isExternal": true
85 }
86 ],
87 "trackedDuration": 72000,
88 "customFields": [
89 {
90 "customFieldDefinitionId": "123e4567-e89b-12d3-a456-426614174000",
91 "userIdValue": "123e4567-e89b-12d3-a456-426614174000",
92 "clientIdValue": "123e4567-e89b-12d3-a456-426614174000",
93 "numberValue": 123.45,
94 "selectionOptionIdValue": "123e4567-e89b-12d3-a456-426614174000",
95 "selectionOption": {
96 "value": "Website Design",
97 "id": "123e4567-e89b-12d3-a456-426614174000",
98 "color": "purple",
99 "order": 0
100 },
101 "textValue": "S1: Business Critical",
102 "dateValue": "2024-01-15T09:30:00Z",
103 "booleanValue": true
104 }
105 ],
106 "resourceVersion": 637825154598057900,
107 "teams": [
108 {
109 "id": "123e4567-e89b-12d3-a456-426614174000",
110 "name": "Designers",
111 "icon": "paintbrush",
112 "color": "purple"
113 }
114 ],
115 "isExternal": true,
116 "isRetainer": true,
117 "isMultiAssignmentAllowed": true,
118 "plannedDuration": 432000
119 },
120 "createdOn": "2024-01-15T09:30:00Z",
121 "createdBy": "123e4567-e89b-12d3-a456-426614174000",
122 "updatedOn": "2024-01-15T09:30:00Z",
123 "updatedBy": "123e4567-e89b-12d3-a456-426614174000"
124}
<Check title="Required Permissions" icon="key">Any authenticated user.</Check>
Was this page helpful?
Previous

Deletes a project milestone.

Next
Built with
Required Permissions
Any authenticated user.

Authentication

AuthorizationBearer

Bearer authentication of the form Bearer <token>, where token is your auth token.

Path parameters

projectMilestoneIdstringRequiredformat: "uuid"
The id of the project milestone.

Request

The model containing milestone details.
namestringRequired0-255 characters
The name of the milestone.
colorstringRequired0-14 characters
The color of the milestone.
dueDatestringOptionalformat: "date-time"
The date the milestone is due.

Response

OK
namestring0-255 characters
The name of the milestone.
colorstring0-14 characters
The color of the milestone.
projectIdstringformat: "uuid"
The id of the project the milestone is related to.
dueDatestringformat: "date-time"
The date the milestone is due.
idstringformat: "uuid"
projectobject

/// This class contains all information to handle projects.

createdOnstringformat: "date-time"
The date this entity was created.
createdBystringformat: "uuid"
The id of the user who created this entity.
updatedOnstringformat: "date-time"
The date this entity was last modified.
updatedBystringformat: "uuid"
The id of the user who last modified this entity.

Errors

400
Bad Request Error
404
Not Found Error